Subject: Re: [PATCH] therm_pm72: Convert to a new-style i2c driver

From: Jean Delvare <[email-masked]>
Date: Tue, 14 Apr 2009 10:32:49 +0200

Hi Paul,

On Tue, 14 Apr 2009 09:07:35 +1000, Paul Mackerras wrote:
> Jean Delvare writes:
> 
> > The legacy i2c binding model is going away soon, so convert the
> > macintosh therm_pm72 driver to the new model or it will break.
> > 
> > This is really a quick and dirty conversion, that should do the trick
> > for now, but no doubt that something cleaner can be done if anyone is
> > interested.
> > 
> > Signed-off-by: Jean Delvare <[email-masked]>
> 
> Seems to work fine on my powermac7,2 machine (dual 2.0GHz G5).

Excellent, thanks a lot for the fast testing!

I'll try to convert the remaining powermac drivers by the end of the
week, but I wouldn't mind if somebody with more knowledge of these
drivers than me wants to help. Basically the remaining 5 drivers must
be converted the same way I did for the therm_pm72 driver.

-- 
Jean Delvare